curl --request GET \
--url https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId} \
--header 'AccessKey: <api-key>'import requests
url = "https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}"
headers = {"AccessKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};
fetch('https://video.bunnycdn.com/library/{libraryId}/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"videoLibraryId": 123,
"guid": "<string>",
"name": "<string>",
"videoCount": 123,
"liveStreamCount": 123,
"totalSize": 123,
"previewVideoIds": "<string>",
"previewImageUrls": [
"<string>"
]
}{
"success": true,
"message": "<string>",
"statusCode": 123
}Get Collection
Returns the details of a collection. Collections can group both videos and live streams, reflected separately in VideoCount and LiveStreamCount; PreviewImageUrls only reflects the videos in the collection.
Authorizations
AccessKey based authentication
Path Parameters
The ID of the video library.
The unique ID of the collection.
Query Parameters
If set to true, populates PreviewImageUrls with thumbnails for videos in the collection.
Response
The details of the requested collection
The video library ID that contains the collection
The unique ID of the collection
The name of the collection
The number of on-demand videos in the collection. Live streams in the collection are not included in this count.
The number of live streams in the collection. On-demand videos are not included in this count.
The total storage size of all videos in the collection, in bytes.
Comma-separated list of video GUIDs used as preview thumbnails for the collection.
The URLs of preview images of videos in the collection
Was this page helpful?